> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/widgets/embedded.md).

# Embedded

Embedded Widgets are configured in the Layout/Playlist Designer directly in the CMS user interface. The purpose of the Widget is to generate a HTML file which be combined with some Player provided libraries and will be rendered on the Player.

Their core configuration consists of 3 items:

* **HTML to Embed**: HTML injected into a content `<div>`
* **Custom Style Sheet**: A style sheet which will be injected into the final rendered HTML.
* **JavaScript**: Any JavaScript you want to define (`<script>` tags not required)

The contents in HTML and Custom Style Sheet will also be parsed for library substitutions. These are `[]` tags containing a `mediaId` from the Library, and can be used to reference images and other stored files.

#### Page Load

The player will receive a HTML file which is the combination of some player libraries (such as jQuery) and the items entered above. It will load the HTML file using its internal web server, and then call a the `EmbedInit()` function. It is left up to the developer what this function does.

{% code title="embed-init.js" %}

```javascript
function EmbedInit()
{
    // Init will be called when this page is loaded in the client.
    return;
}
```

{% endcode %}

It will also optionally run the Xibo Layout Scaler if “Scale Content?” has been checked in the Widget configuration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/widgets/embedded.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
